corda / net.corda.node.services.config / OptionalConfig

# OptionalConfig

`class OptionalConfig<out T>`

Helper class for optional configurations

### Constructors

<init> | `OptionalConfig(conf: Config, lambda: () -> T)` Helper class for optional configurations

### Properties

conf | `val conf: Config`
lambda | `val lambda: () -> T`

### Functions

getValue | `operator fun getValue(receiver: Any, metadata: KProperty<*>): T`